std::__detail::_Before_begin< _NodeAlloc > Struct Template Reference
Base and Implementation Classes

Inherits _NodeAlloc.

## Public Member Functions

| _Before_begin (const _Before_begin &)=default
| _Before_begin (_Before_begin &&)=default
template<typename _Alloc >
| _Before_begin (_Alloc &&__a)

## Public Attributes

_Hash_node_base | _M_node

## Detailed Description

### template<typename _NodeAlloc>
struct std::__detail::_Before_begin< _NodeAlloc >

This type is to combine a _Hash_node_base instance with an allocator instance through inheritance to benefit from EBO when possible.

Definition at line 1794 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h